/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CModulePSelector.h                                                //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.7.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'** Generated from DDS_PCO2.xml version 0.1.0
'*-E************************************************************************/

#if !defined(CMODULEPSELECTOR_H)
    #define  CMODULEPSELECTOR_H

#if defined(WIN32)
#include <stdio.h>
#include <string.h>
#endif

#include "StdVarTyp.h"
#include "target.h"
#include "DtSupport.h"
#include "DtData.h"
#include "Mem.h"

/*---------------------------------
Add Defines for string representation
of enumerations in the next section.
---------------------------------*/
    typedef  enum CMODPSELtypSPECIES {
        CMODPSEL_SpMODULE = 0, 
        CMODPSEL_SpMAX
    } CMODPSEL_SPECIES;

    /*CModulePSelector Member's Version Enumerations*/
    typedef  enum CMODPSELtypVERSIONS {
        CMODPSEL_SpeciesSelector,
        CMODPSEL_MEMBER_MAX
    } CMODPSEL_VERSIONS;


/*The following definition is the version.*/
#define CMODPSEL_OBJECT_VERSION 100

#define CMODPSEL_MOIB_HEADER_SIZE(ClassID)\
    (sizeof(uint32) + (IsExtended_ClassID(ClassID) ? sizeof(uint32) : sizeof(uint16)))

#define CMODPSEL_STATIC_DATA_SIZE\
               (0 * MOIB_TIME_SIZE        + 0 *(sizeof(int8))\
                   + 0 *(sizeof(int16))   + 0 *(sizeof(int32))\
                   + 0 *(sizeof(uint8))   + 0 *(sizeof(uint16))\
                   + 1 *(sizeof(uint32))  + 0 *(sizeof(byte))\
                   + 0 *(sizeof(word))    + 0 *(sizeof(boolean))\
                   + 0 *(sizeof(char))    + 0 *(sizeof(ansichar))\
                   + 0 *(sizeof(widechar))+ 0 *(sizeof(float))\
                   + 0 *(sizeof(double)))


typedef struct CModulePSelector
{
    /* DtData Members */
    uint32      ClassID;
    byte        DataBitField;
    uint16      SrcVersion;

    /*Static Data*/
    uint32             m_SpeciesSelector; /* Species ID of the module. */

}CModulePSelector;

void    CModulePSelector_Init(CModulePSelector *pObject);
void    CModulePSelector_Reset(CModulePSelector *pObject, boolean bResetAll, boolean bInit);
uint32  CModulePSelector_SizeAll(const CModulePSelector *pObject);
boolean CModulePSelector_Deserialize(CModulePSelector *pObject, uint8 *pBuf);
boolean CModulePSelector_Serialize(const CModulePSelector *pObject, uint8 *pBuf);

#if((TARGET_XML_SUPPORT == XML_SERIALIZE)||(TARGET_XML_SUPPORT == XML_ALL))
uint32  CModulePSelector_serialize_to_XMLbuf(CModulePSelector *pObject, char* pBuf);
#endif

#endif /* #if !defined(CMODULEPSELECTOR_H) */

