/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmDEVICEStub.h                                                   //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.7.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMDEVICESTUB_H)
    #define  CFMDEVICESTUB_H

#include "CFamilyEnum.h"
#include "CFamilyStub.h"

class CFmDEVICEStub
{
private:
    CWACPApp    *pWACPApp;
    CFamilyStub *pStubClass;

public:
    CFmDEVICEStub(CFamilyStub *StubClass);
    CFmDEVICEStub();
    ~CFmDEVICEStub();

    uint16 AppInit(char *pSourceID);
    void TxTest(char *pSourceID);
    void StressTest(char *pSourceID);
    void SendAllTest(char *pSourceID);

};
#endif /* #if !defined(CFmDEVICESTUB_H) */

/*---------------------------------------------------*/
/* End of File */
