/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2003-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CEncryption.cpp:                                                  //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#include "CEncryption.h"
#if defined(ENCRYPTION_ON)

CEncryption::CEncryption()
{

}
CEncryption::~CEncryption()
{

}

void CEncryption::AESEncrypt(uint8* Key, uint8* Plaintext, uint8* Ciphertext, uint32 MsgLen)
{
    if ((Key) && (Plaintext))
    {
        ChunkAESEncrypt(Key,Plaintext,Ciphertext,MsgLen);
    }
}
void CEncryption::AESDecrypt(uint8* Key, uint8* Ciphertext, uint8* Plaintext, uint32 MsgLen)
{
    if ((Key) && (Ciphertext))
    {
        ChunkAESDecrypt(Key,Ciphertext,Plaintext,MsgLen);
    }
}
void CEncryption::GenerateAESKey(uint8* Key)
{
    uint8 i;

    SYS_SRAND((unsigned int)SYS_TIME(NULL));
	
    if (Key != NULL)
    {
        for(i=0;i<AES_ENCRYPTION_KEY_SIZE;i++)
        {
		    Key[i]=SYS_RAND();
	    }
    }
}

#endif /* #if defined(ENCRYPTION_ON) */

