/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2003-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CObjSvr.h      :                                                  //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(COBJSVR_H)
    #define  COBJSVR_H

#include "StdVarTyp.h"  
#include <stdio.h>
#include <stdarg.h>

class CObjSvr
{
    protected:
        uint8* Outbuf;
    public:
        CObjSvr(){Outbuf = NULL;};
        virtual ~CObjSvr(){Outbuf = NULL;};
        virtual boolean RecvMsgHandler(char *pSourceID, uint8 *pBuffer, void *pRouter) = 0;
        virtual boolean SendMsgHandler(char *pSourceID,
                                       uint16 family,
                                       uint8 genus,
                                       uint8 species,
                                       uint8 *pBuffer,
                                       uint32 Size,
                                       boolean EncryptionOn) = 0;

        virtual boolean SetCallbacks(va_list vList) = 0;

};
#endif /* #if !defined(COBJSVR_H) */

/*---------------------------------------------------*/
/* End of File */





