/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2003-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPSemaphore.h:                                                 //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPSEMAPHORE_H)
    #define  CWACPSEMAPHORE_H

#include "Common.h"
#include "SysUtil.h"

#include <windows.h>


class CWACPSemaphore
{
public:

    CWACPSemaphore(ansichar *pName, uint16 InitCount, uint16 MaxCount);
    CWACPSemaphore();
    ~CWACPSemaphore();
    
    void Raise();
    int Wait(uint32 Timeout);

private:

    HANDLE  hHandle;
    boolean bOwner;

};

#endif /* #if !defined(CWACPSEMAPHORE_H) */

/*---------------------------------------------------*/
/* End of File */


