/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmRESPIRATIONStub.h                                              //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.7.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMRESPIRATIONSTUB_H)
    #define  CFMRESPIRATIONSTUB_H

#include "CFamilyEnum.h"
#include "CFamilyStub.h"

class CFmRESPIRATIONStub
{
private:
    CWACPApp    *pWACPApp;
    CFamilyStub *pStubClass;

public:
    CFmRESPIRATIONStub(CFamilyStub *StubClass);
    CFmRESPIRATIONStub();
    ~CFmRESPIRATIONStub();

    uint16 AppInit(char *pSourceID);
    void TxTest(char *pSourceID);
    void StressTest(char *pSourceID);
    void SendAllTest(char *pSourceID);

};
#endif /* #if !defined(CFmRESPIRATIONSTUB_H) */

/*---------------------------------------------------*/
/* End of File */
