/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2003-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CAESWrapper.h  :                                                  //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CAESWRAPPER_H)
    #define  CAESWRAPPER_H

#include "target.h"
#if defined(ENCRYPTION_ON)

#include "AESCrypt.h"
#include "StdVarTyp.h"
#include "SysUtil.h"

#define AES_KEY_BITS 128

void ChunkAESEncrypt(const uint8* Key, const uint8* Plaintext, uint8* Ciphertext, uint32 MsgLen);
void ChunkAESDecrypt(const uint8* Key, const uint8* CipherText, uint8* PlainText, uint32 MsgLen);

#endif /* #if defined(ENCRYPTION_ON) */

#endif /* #if !defined(CAESWRAPPER_H) */
/*---------------------------------------------------*/
/* End of File */

