/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2003-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPEvent.h   :                                                  //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPEVENT_H)
    #define  CWACPEVENT_H

#include "Common.h"
#include "Windows.h"

class CWACPEvent
{
/*================================================================================
CWACPEvent Members: Public, Private, and Protected
================================================================================*/
public:

    CWACPEvent(char *pName, boolean bManualReset);
    CWACPEvent();
    ~CWACPEvent();
    
    void Raise();
    void Reset();
    int Wait(uint32 Timeout);
    HANDLE GetHandle();

private:

    HANDLE  hHandle;
};


#endif /* #if !defined(CWACPEVENT_H) */

/*---------------------------------------------------*/
/* End of File */





