/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2003-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPMutex.h   :                                                  //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPMUTEX_H)
    #define  CWACPMUTEX_H

#include "common.h"
#include "Windows.h"

class CWACPMutex 
{ 
public: 
    /* Constructor */
    CWACPMutex(char *Name); 
    CWACPMutex(); 
    ~CWACPMutex(); 

    /* Method to get a lock on the mutex */
    uint32  Lock(uint32 TimeOut); 

    /* Method to release the lock on the mutex */
    boolean Release();   

private:

    /* Handle to the Mutext */
    void* hMutex;

};      

#endif /* #if !defined(CWACPMUTEX_H) */

/*---------------------------------------------------*/
/* End of File */






