/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPThread.h  :                                                  //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPTHREAD_H)
    #define  CWACPTHREAD_H
#include "target.h"
#include "StdVarTyp.h"
#include <process.h>
#include <windows.h>


class CWACPThread
{
/*================================================================================
CWACPThread Members: Public, Private, and Protected
================================================================================*/
public:

    CWACPThread();
    ~CWACPThread();
    boolean StartThread(uint32 (WACPAPI* StartAddress )(void*), void* ArgList, int32 ThreadPriority);
    void EndThread();
private:
    HANDLE  hHandle;
};


#endif /* #if !defined(CWACPTHREAD_H) */

/*---------------------------------------------------*/
/* End of File */





